<?xml version="1.0"?>
<bidi:Schema xmlns:bidi="http://schemas.microsoft.com/windows/2010/09/printing/usbbidi">
  <!--Version 3.0-->
  <Property name="Printer">
	
    <Property name='Status'>
      <Property name='Summary'>
        <Value name="StateReason" type="BIDI_STRING" accessType="Get" refreshInterval="5" drvPrinterEvent="true"/>
      </Property>
    </Property>
	
    <Property name="Configuration">
			<Property name="DuplexUnit">
				<Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Configuration.DuplexUnit:Installed;MultiTagContainsBool;/DevMgmt/ProductConfigDyn.xml;dd:DuplexUnit,dd:DuplexBindingOption;Installed;longEdge;shortEdge" refreshInterval="60" drvPrinterEvent="true"/>
			</Property>		
			<Property name="ColorPrinting">
            	<Value name="Enabled" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Configuration.ColorPrinting:Enabled;InnerXmlStr;/DevMgmt/ProductConfigCap.xml;prdcfgcap2:ColorPrinting" drvPrinterEvent="true"/>
        	</Property>
    </Property>
    
    
    
    <Property name="Layout">
      <Property name="InputBins">
		<Property name="PhotoTrayUnit002">
			<Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.PhotoTrayUnit002:Installed;TagAnyContainsBool;/DevMgmt/MediaHandlingDyn.xml;dd:InputBin;PhotoTray" drvPrinterEvent="true"/>
		</Property>
        <Property name="Tray001">
          <Value name="Name" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:Name;FindIndexXmlStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:InputBin;Tray1" drvPrinterEvent="true"/>
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray001:Installed;TagAnyContainsBool;/DevMgmt/MediaHandlingDyn.xml;dd:InputBin;Tray1" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:MediaType;FindIndexXmlConvertStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:MediaType;Tray1;light;stationery-lightweight" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:MediaSize;FindIndexXmlStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:MediaSizeName;Tray1" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray001:FeedDirection;FindIndexXmlStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:PageOrientation;Tray1" drvPrinterEvent="true"/>
        </Property>
        <Property name="Tray002">
          <Value name="Name" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:Name;FindIndexXmlStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:InputBin;Tray2" drvPrinterEvent="true"/>
          <Value name="Installed" accessType="Get" type="BIDI_BOOL" queryKey="\Printer.Layout.InputBins.Tray002:Installed;TagAnyContainsBool;/DevMgmt/MediaHandlingDyn.xml;dd:InputBin;Tray2" drvPrinterEvent="true"/>
          <Value name="MediaType" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:MediaType;FindIndexXmlConvertStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:MediaType;Tray2;light;stationery-lightweight" drvPrinterEvent="true"/>
          <Value name="MediaSize" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:MediaSize;FindIndexXmlStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:MediaSizeName;Tray2" drvPrinterEvent="true"/>
          <Value name="FeedDirection" accessType="Get" type="BIDI_STRING" queryKey="\Printer.Layout.InputBins.Tray002:FeedDirection;FindIndexXmlStr;/DevMgmt/MediaHandlingDyn.xml;mhdyn:InputTray;dd:PageOrientation;Tray2" drvPrinterEvent="true"/>
        </Property>
     </Property>
    </Property>
  </Property>
</bidi:Schema>
